Docs Rizler

Functions

Update Live Call Function

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/live-call/{agent_id}
Update Live Call Function
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/live-call/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fields": [],
  "fields.*": "value",
  "isEnabled": true,
  "aiSyncFields": [],
  "aiSyncFields.*": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Live Call Function#

Update Live Call Updates function for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

isEnabledbooleanbody

send only when changing this field

fieldsarraybody

send only when changing this field

fields.*stringbody

Request field

aiSyncFieldsarraybody

send only when changing this field

aiSyncFields.*stringbody

Request field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/live-call/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"isEnabled":true,"fields":[],"fields.*":"value","aiSyncFields":[],"aiSyncFields.*":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records